# Get unknown flags GET https://app.unleash-instance.example.com/api/admin/metrics/unknown-flags Returns a list of unknown flag reports from the last 24 hours, if any. Maximum of 1000. Reference: https://docs.getunleash.io/api/get-unknown-flags ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Get unknown flags version: endpoint_unknownFlags.getUnknownFlags paths: /api/admin/metrics/unknown-flags: get: operationId: get-unknown-flags summary: Get unknown flags description: >- Returns a list of unknown flag reports from the last 24 hours, if any. Maximum of 1000. tags: - - subpackage_unknownFlags parameters: - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: unknownFlagsResponseSchema content: application/json: schema: $ref: '#/components/schemas/unknownFlagsResponseSchema' components: schemas: UnknownFlagSchemaReportsItemsEnvironmentsItems: type: object properties: environment: type: string description: The environment in which the unknown flag was reported. seenAt: type: string format: date-time description: >- The date and time when the unknown flag was last seen in this environment. required: - environment - seenAt UnknownFlagSchemaReportsItems: type: object properties: appName: type: string description: The name of the application that reported the unknown flag. environments: type: array items: $ref: >- #/components/schemas/UnknownFlagSchemaReportsItemsEnvironmentsItems description: >- The list of environments where this application reported the unknown flag. required: - appName - environments unknownFlagSchema: type: object properties: name: type: string description: The name of the unknown flag. lastSeenAt: type: string format: date-time description: The date and time when the unknown flag was last reported. lastEventAt: type: - string - 'null' format: date-time description: >- The date and time when the last event for the unknown flag name occurred, if any. reports: type: array items: $ref: '#/components/schemas/UnknownFlagSchemaReportsItems' description: The list of reports for this unknown flag. required: - name - lastSeenAt unknownFlagsResponseSchema: type: object properties: unknownFlags: type: array items: $ref: '#/components/schemas/unknownFlagSchema' description: The list of recently reported unknown flags. required: - unknownFlags ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/metrics/unknown-flags" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/metrics/unknown-flags'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/metrics/unknown-flags" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/metrics/unknown-flags") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/metrics/unknown-flags") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/metrics/unknown-flags', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/metrics/unknown-flags"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/metrics/unknown-flags")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```